Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1477 - New problem with linux nfsd and BSDI nfs client
Summary: New problem with linux nfsd and BSDI nfs client
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 5.2
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-11 00:58 UTC by kresa
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-03 14:08:02 UTC


Attachments (Terms of Use)

Description kresa 1999-03-11 00:58:42 UTC
There seems to be a problem with nfsd in
nfs-server-2.2beta37  (the one included in RedHat 5.2)

here are the exports from Linux:

/tmp/try-export *.cs.huji.ac.il(rw,insecure)

*** note the 'insecure'

you then mount it from BSDI (3.1 or 4.0)

and try to write to a file there (under the mount point).

the file gets created with size 0

no matter what you do.

the following message is logged on the linux

box:

Mar 11 01:06:42 fury nfsd[280]: strange write req from
amos-04.cs.huji.ac.il: co
unt 1717856768 len 5

(fury is the linux box, amos-04 is the BSDI)

additional facts:

1. when writing from BSDI to any other OS we have here

   everything is fine.

2. this problem is *not occuring* when you try to

   write from any other OS (Sun0S 4, Solaris, IRIX)

   to linux

3. the problem doesn't exist neither in

   the older nfs-server-2.2beta29

   (shipped in RedHat 5.1) nor in the new

   nfsd from linux-nfs-0.4.22 based on

   knfsd (kernel 2.2.x level nfsd support)

There seems to be a new condition

in nfsd.c (in 2.2beta37):

492:    if (count > NFS_MAXDATA || count >
argp->data.data_len) {
493:            Dprintf(L_NOTICE,
494:                    "strange write req from %s: count
%lu len %lu",
495:                    nfsclient->clnt_name, count,
argp->data.data_len);
496:            return NFSERR_IO;
497:    }

which BSDI nfs client obviously doesn't satisfy.

(i'm posting this also to the relevant mailing-list,

 please  post any suggestions on

 comp.os.linux.development.system)

kreso
----

CS System Group
Hebrew University of Jerusalem

Comment 1 Jeff Johnson 1999-03-24 23:51:59 UTC
Does this bug persist with the knfsd running on a 2.2 kernel?

Please reopen this bug if so.


Note You need to log in before you can comment on or make changes to this bug.